body {
    background-color: rgb(16, 0, 18);
    transition: background-color 0.5s ease
}

.header-img img{
    border: 3px solid white;
    border-radius: 100%;
    margin-bottom: 1em;
    transition: border-color 0.5s ease;
}

.tit-perfil {
    font-family: "Arima", serif;
    color: white;
    text-shadow: 1px 1px 4px rgb(63, 134, 255);
    transition: color 0.5s ease;
}

#gifLinea {
    width: 100%;
    height: 0.2em;
    margin-bottom: 1.5em;
}

.titulo {
    margin-top: 0.7em;
    font-family: "Arima", serif;
    color: white;
    text-shadow: 1px 1px 4px rgb(63, 134, 255);
    transition: color 0.5s ease;
}

.description {
    margin-top: 2em;
    color: white;
    text-align: justify;
    transition: color 0.5s ease;
}

#tit-proyectos {
    font-family: "Arima", serif;
    font-size: x-large;
    color: white;
    text-shadow: 1px 1px 4px rgb(63, 134, 255);
    margin-bottom: 1em;
    transition: color 0.5s ease;
}

.fila {
    margin-top: 2em;
}

.tarjeta {
    margin: 1.5em;
    padding: 1em;
    border: 2px solid white;
    border-radius: 1em;
    transition: transform 0.2s ease, border-color 0.5s ease;
}

.tarjeta:hover {
    transform: scale(1.05);
}

.tarjeta h4 {
    font-family: "Arima", serif;
    color: white;
    text-shadow: 1px 1px 4px rgb(63, 134, 255);
    transition: color 0.5s ease;
}

.tarjeta p {
    color: white;
    transition: color 0.5s ease;
}

.tarjeta a {
    text-decoration: none;
    color: rgb(54, 128, 255);
    transition: color 0.1s ease, font-weight 0.1s ease;
}

.tarjeta li {
    color: white;
    transition: color 0.5s ease;
}

.tarjeta span {
    font-weight: bold;
    color: rgb(0, 255, 170);
}

.tarjeta a:hover {
    font-weight: bold;
    color: rgb(0, 74, 202);
}

.fila li::marker {
    font-size: 12px;
    color: rgb(255, 255, 255);
}

.tecnologias {
    margin-top: 3em;
    margin-bottom: 0.8em;
}

.iconos-tecnologias img{
    margin: 0.3em;
}

.contacto {
    margin-top: 2em;
    margin-bottom: 0.5em;
}

.iconos-contacto-cuadrado{
    margin: 0.3em;
    border-radius: 1em;
}

.iconos-contacto-cuadrado{
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    margin: 0.3em;
}

.iconos-contacto-cuadrado:hover {
    transform: scale(1.2);
    box-shadow: 0 0 20px rgb(255, 255, 255, 0.434);
}

.iconos-contacto-redondo{
    margin: 0.3em;
    border-radius: 100%;
}

.iconos-contacto-redondo{
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    margin: 0.3em;
}

.iconos-contacto-redondo:hover {
    transform: scale(1.2);
    box-shadow: 0 0 20px rgb(255, 255, 255, 0.434);
}

.banner-img {
    border-radius: 2em;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.banner-img:hover {
    transform: scale(1.05);
    box-shadow: 0 0 20px rgb(255, 255, 255, 0.434);
}

.btn-responsive {
    position: absolute;
    top: 1em;
    right: 1em;
    z-index: 1000;
    width: 5em;
    background-color: transparent;
    border: none;
}

.btn-responsive:focus {
    box-shadow: none;
}

.btn-responsive img {
    border: 2px solid white;
    border-radius: 100%;
    transition: transform 0.3s ease, box-shadow 0.3s ease, border-color 0.3s ease;
}

.btn-responsive img:hover {
    transform: scale(1.3);
    box-shadow: 0 0 20px rgb(255, 255, 255, 0.434);
}

/* Pantalla pequeña y mediana */
@media (max-width: 992px) {
    .octocat {
        text-align: center;
    }

    .octocat img {
        width: 25%;
    }
}

/* Pantalla pequeña */
@media (max-width: 576px) {
    .btn-responsive {
        top: 0.5em;
        right: 0.5em;
        width: 3.5em;
    }

    .btn-responsive img:hover {
        transform: scale(1);
        box-shadow: none;
    }

    .banner-img {
        border-radius: 1em;
    }

    .banner-img:hover {
        transform: scale(1);
        box-shadow: none;
    }

    .titulo {
        font-size: 1.3em;
    }

    #tit-proyectos {
        font-size: 1.4em;
    }

    .tarjeta {
        margin: 2em;
    }

    .tarjeta h4 {
        font-size: 1.4em;
    }

    .tarjeta:hover {
        transform: scale(1);
    }

    .tarjeta a:hover {
        font-weight: normal;
    }

    .iconos-contacto-cuadrado {
        width: 8%;
        border-radius: 0.5em;
    }

    .iconos-contacto-cuadrado:hover {
        transform: scale(1);
        box-shadow: none;
    }
    
    .iconos-contacto-redondo {
        width: 8%;
    }

    .iconos-contacto-redondo:hover {
        transform: scale(1);
        box-shadow: none;
    }

    .iconos-tecnologias img {
        width: 8%;
    }

    .description {
        margin-right: 2em;
    }

    .fila {
        margin-left: 0;
    }

    .fila p {
        font-size: 1.1em;
    }
    
    .octocat {
        text-align: center;
    }

    .octocat img{
        width: 30%;
    }
}

/* Pantalla mediana */
@media (min-width: 576px) and (max-width: 992px) {
    .btn-responsive {
        top: 1em;
        right: 1em;
        width: 4.25em;
    }

    .btn-responsive img:hover {
        box-shadow: none;
    }

    .banner-img {
        border-radius: 1.5em;
    }

    .banner-img:hover {
        box-shadow: none;
    }

    #tit-proyectos {
        font-size: 1.4em;
    }

    .tarjeta h4 {
        font-size: 1.4em;
    }

    .tarjeta {
        margin: 1.75em;
    }

    .iconos-contacto-cuadrado {
        border-radius: 0.5em;
    }

    .iconos-contacto-cuadrado:hover {
        box-shadow: none;
    }

    .iconos-contacto-redondo:hover {
        box-shadow: none;
    }
}

/* Pantalla grande */
@media (min-width: 992px) {
    .btn-responsive {
        top: 1.5em;
        right: 1.5em;
        width: 5em;
    }

    .banner-img {
        border-radius: 2em;
    }
}

/* Modo claro */
body.light {
    background-color: rgb(222, 230, 254);
}

body.light .header-img img,
body.light .btn-responsive img,
body.light .tarjeta {
    border-color: rgb(16, 0, 18);
}

body.light .tit-perfil,
body.light #tit-proyectos,
body.light .titulo,
body.light .description,
body.light .tarjeta h4,
body.light .tarjeta p,
body.light .tarjeta li,
body.light .tarjeta li::marker {
    color: rgb(16, 0, 18);
}

body.light .tarjeta span {
    color: rgb(219, 0, 0);
}

body.light .tarjeta a {
    color: rgb(0, 179, 60);
}

body.light .tarjeta a:hover {
    color: rgb(0, 138, 46);
}

body.light #tit-proyectos {
    font-weight: normal;
}

body.dark .tarjeta {
    border-color: rgb(222, 230, 254);
}

/* Pre-Loader */
.loading {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
    font-family: "Arima", serif;
}

.loading h1 {
    margin-bottom: 1em;
}

.hidden {
    overflow: hidden;
}

.lds-roller {
    color: rgb(0, 255, 170);
}

.lds-roller,
.lds-roller div,
.lds-roller div:after {
  box-sizing: border-box;
}

.lds-roller {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-roller div {
  animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 40px 40px;
}

.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 7.2px;
  height: 7.2px;
  border-radius: 50%;
  background: currentColor;
  margin: -3.6px 0 0 -3.6px;
}

.lds-roller div:nth-child(1) {
  animation-delay: -0.036s;
}

.lds-roller div:nth-child(1):after {
  top: 62.62742px;
  left: 62.62742px;
}

.lds-roller div:nth-child(2) {
  animation-delay: -0.072s;
}

.lds-roller div:nth-child(2):after {
  top: 67.71281px;
  left: 56px;
}

.lds-roller div:nth-child(3) {
  animation-delay: -0.108s;
}

.lds-roller div:nth-child(3):after {
  top: 70.90963px;
  left: 48.28221px;
}

.lds-roller div:nth-child(4) {
  animation-delay: -0.144s;
}

.lds-roller div:nth-child(4):after {
  top: 72px;
  left: 40px;
}

.lds-roller div:nth-child(5) {
  animation-delay: -0.18s;
}

.lds-roller div:nth-child(5):after {
  top: 70.90963px;
  left: 31.71779px;
}

.lds-roller div:nth-child(6) {
  animation-delay: -0.216s;
}

.lds-roller div:nth-child(6):after {
  top: 67.71281px;
  left: 24px;
}

.lds-roller div:nth-child(7) {
  animation-delay: -0.252s;
}

.lds-roller div:nth-child(7):after {
  top: 62.62742px;
  left: 17.37258px;
}

.lds-roller div:nth-child(8) {
  animation-delay: -0.288s;
}

.lds-roller div:nth-child(8):after {
  top: 56px;
  left: 12.28719px;
}

@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Estilos de la scrollbar */
::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

::-webkit-scrollbar-track {
    background: rgb(45, 0, 51);
}

::-webkit-scrollbar-thumb {
    background: rgb(0, 255, 170);
}

.oculto {
    display: none;
}